# Generated by Django 3.2 on 2023-10-23 06:04

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0035_auto_20231023_0124'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataPerumahan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jml_rumah_layak_huni', models.IntegerField(null=True)),
                ('jml_rumah_tdk_layak_huni', models.IntegerField(null=True)),
                ('jml_rumah_semi_permanen', models.IntegerField(null=True)),
                ('jml_rumah_permanen', models.IntegerField(null=True)),
                ('foto_rumah_semi_permanen', models.ImageField(null=True, upload_to='profile/images/perumahan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_rumah_permanen', models.ImageField(null=True, upload_to='profile/images/perumahan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('jml_total_rumah', models.IntegerField(null=True)),
                ('lantai_tanah', models.IntegerField(null=True)),
                ('lantai_kayu', models.IntegerField(null=True)),
                ('lantai_semen', models.IntegerField(null=True)),
                ('lantai_keramik', models.IntegerField(null=True)),
                ('dinding_kayu', models.IntegerField(null=True)),
                ('dinding_semen', models.IntegerField(null=True)),
                ('dinding_anyaman', models.IntegerField(null=True)),
                ('atap_seng', models.IntegerField(null=True)),
                ('atap_daun', models.IntegerField(null=True)),
                ('sumur_gali_pribadi', models.IntegerField(null=True)),
                ('sumur_umum', models.IntegerField(null=True)),
                ('spam', models.IntegerField(null=True)),
                ('air_sungai', models.IntegerField(null=True)),
                ('foto_jamban_rumah', models.ImageField(null=True, upload_to='profile/images/perumahan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_jamban_umum', models.ImageField(null=True, upload_to='profile/images/perumahan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('rumah_listrik', models.IntegerField(null=True)),
                ('penerangan_lain', models.IntegerField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
